import 'package:get/get.dart';
import 'package:trans_lark/page/face_to_face/face_to_face_binding.dart';
import 'package:trans_lark/page/face_to_face/face_to_face_view.dart';
import 'package:trans_lark/page/home/home_view.dart';
import 'package:trans_lark/page/scene_list/scene_list_binding.dart';
import 'package:trans_lark/page/scene_list/scene_list_view.dart';
import 'package:trans_lark/page/scene_type/scene_type_binding.dart';
import 'package:trans_lark/page/scene_type/scene_type_view.dart';
import 'package:trans_lark/page/translator/translator_view.dart';
import 'package:trans_lark/page/translator_history/translator_history_view.dart';
import 'package:trans_lark/page/translator_result/translator_result_view.dart';
import 'package:trans_lark/page/web_page/web_page_binding.dart';
import 'package:trans_lark/page/web_page/web_page_view.dart';

class GetRouter {
  static const splash = '/';
  static const home = '/home';
  static const sceneType = '/scene_type';
  static const sceneList = '/scene_list';
  static const translate = '/translate';
  static const faceToFace = '/face_to_face';
  static const translateResult = '/translate_result';
  static const translateHistory = '/translate_history';
  static const terms = '/terms';
  static const privacy = '/privacy';

  static List<GetPage> routers = [
    // GetPage(
    //   name: splash,
    //   page: () => SplashView(),
    //   binding: SplashBinding(),
    // ),
    //首页
    GetPage(
      name: home,
      page: () => HomePage(),
    ),
    GetPage(
      name: sceneType,
      page: () => SceneTypeView(),
      binding: SceneTypeBinding(),
    ),
    GetPage(
      name: sceneList,
      page: () => SceneListView(),
      binding: SceneListBinding(),
    ),
    //翻译输入页面
    GetPage(
      name: translate,
      page: () => const TranslatorPage(),
    ),
    //翻译结果页
    GetPage(
      name: translateResult,
      page: () => const TranslatorResultPage(),
    ),
    //翻译历史页面
    GetPage(
      name: translateHistory,
      page: () => const TranslatorHistoryPage(),
    ),
    // 面对面翻译
    GetPage(
      name: faceToFace,
      page: () => FaceToFaceView(),
      binding: FaceToFaceBinding(),
    ),
    // 隐私政策
    GetPage(
      name: privacy,
      page: () => WebPageView(),
      binding: WebPageBinding(),
    ),
    // 用户协议
    GetPage(
      name: terms,
      page: () => WebPageView(),
      binding: WebPageBinding(),
    ),
  ];
}
